 package com.tanpu.feo.feojob.dao.user.entity;


 import com.baomidou.mybatisplus.annotation.TableName;
import com.tanpu.feo.feojob.dao.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 角色信息表Entity
 *
 * @author zejia zj wu 2021年05月19日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("role")
public class RoleEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;
	/** 角色id */
	private String roleId;
	/** 角色描述 */
	private String description;
	/** 角色类型, m管理员，t团队长，i理财师 */
	private String type;
    /** id 构造器*/
    public RoleEntity(String id) {
       super.setId(id);
    }
}
